This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 98314 - "up2date -u --nox &" is a very bad karma thing to do, when non-su.
"up2date -u --nox &" is a very bad karma thing to do, when non-su.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: usermode (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-30 18:56 EDT by Anders
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-04 00:00:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anders 2003-06-30 18:56:15 EDT
Description of problem:
up2date -u --nox &
when run by non-su asks for su password and echoes plaintext to terminal + plus
it fails to authenticate (actually tries to excecute the password as a command)
and then the up2date process dies in the background.

Version-Release number of selected component (if applicable):
up2date-3.1.23-1

How reproducible:
100% on this system and others down to RH7.2 that I have tested.

Steps to Reproduce:
1. As non-su, in X (KDE), in xterm or similar.
2. $ up2date -u --nox &
3. Bingo
    
Actual results:
Apart from the echoing, it tries to execute the password as a shell command"

Expected results:
Smooth updating with no echo to terminal.
Comment 1 Adrian Likins 2003-07-03 14:33:07 EDT
This looks to be a bug with the usermode package (which contains the
parts that actually prompt for the passwords and whatnot)
I can duplicate similar behaviour with other utilities. 

Reassigning there.
Comment 2 Nalin Dahyabhai 2003-07-04 00:00:32 EDT
Backgrounded applications aren't allowed to read input from the terminal, so
when the backgrounded instance of userhelper attempts to read the password, it
is suspended.  This is normal.  You'll need to foreground the process
temporarily to give it the password, after which you can suspend and background
it by typing ^Z and then using the "bg" command.  Closing as NOTABUG.

Note You need to log in before you can comment on or make changes to this bug.